summaryrefslogtreecommitdiff
path: root/morphlib/exts
diff options
context:
space:
mode:
authorTiago Gomes <tiago.gomes@codethink.co.uk>2013-05-10 04:50:21 +0000
committerTiago Gomes <tiago.gomes@codethink.co.uk>2013-05-10 07:21:45 +0000
commitf6b904bbbc98cbf430beabc2359af9d6607c369d (patch)
tree85d389ddc0adb96baa80ab0d0ccd3f4ec6fa0cab /morphlib/exts
parent9898c112dfced5bd5fe3a56aab64a7a0163ebe16 (diff)
downloadmorph-f6b904bbbc98cbf430beabc2359af9d6607c369d.tar.gz
Add a new configuration extension to drop configuration files to the image /etc
Diffstat (limited to 'morphlib/exts')
-rwxr-xr-xmorphlib/exts/drop-config-files.configure27
1 files changed, 27 insertions, 0 deletions
diff --git a/morphlib/exts/drop-config-files.configure b/morphlib/exts/drop-config-files.configure
new file mode 100755
index 00000000..0094cf6b
--- /dev/null
+++ b/morphlib/exts/drop-config-files.configure
@@ -0,0 +1,27 @@
+#!/bin/sh
+# Copyright (C) 2013 Codethink Limited
+#
+# This program is free software; you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation; version 2 of the License.
+#
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+#
+# You should have received a copy of the GNU General Public License along
+# with this program; if not, write to the Free Software Foundation, Inc.,
+# 51 Franklin Street, Fifth Floor, Boston, MA 02110-1301 USA.
+
+
+# Copy all files located in $SRC_CONFIG_DIR to the image /etc.
+
+
+set -e
+
+if [ "x${SRC_CONFIG_DIR}" != x ]
+then
+ cp -r "$SRC_CONFIG_DIR"/* "$1/etc/"
+fi
+